/*******************************************************************************
**	File:			prf636.h
**	Author:			AES
**	
**
**	Description:
**		PRF0636 DLL status declarations
**
**	Copyright (c) 2012, CTI, Connect Tech Inc. All Rights Reserved.
**
**	THIS IS THE UNPUBLISHED PROPRIETARY SOURCE CODE OF CONNECT TECH INC.
**	The copyright notice above does not evidence any actual or intended
**	publication of such source code.
**
**	This module contains Proprietary Information of Connect Tech, Inc
**	and should be treated as Confidential.
******************************************************************************/

#ifndef _prf636_h
#define	_prf636_h

#define J1708_STATUS_OK								0x0000
#define J1708_STATUS_INVALIDPARAM					0x0001
#define J1708_STATUS_IOFAILURE						0x0002
#define J1708_STATUS_NOT_INIT						0x0003
#define J1708_STATUS_NO_RX_MSG_AVAIL				0x0004
#define J1708_STATUS_NO_TX_SLOT_AVAIL				0x0005
#define J1708_STATUS_INSUFFICIENT_BUFFER			0x0006

#define J1939_STATUS_OK								0x0000
#define J1939_STATUS_INVALIDPARAM					0x0001
#define J1939_STATUS_IOFAILURE						0x0002
#define J1939_STATUS_NOT_INIT						0x0003
#define J1939_STATUS_NO_RX_MSG_AVAIL				0x0004
#define J1939_STATUS_NO_TX_SLOT_AVAIL				0x0005
#define J1939_STATUS_INSUFFICIENT_BUFFER			0x0006

typedef DWORD  J1708_STATUS;
typedef DWORD  J1939_STATUS;

#endif // _prf636_h